Index: branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/metadata/tsarv5_cluster_mmu.sd
===================================================================
--- branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/metadata/tsarv5_cluster_mmu.sd	(revision 345)
+++ branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/metadata/tsarv5_cluster_mmu.sd	(revision 351)
@@ -16,8 +16,8 @@
 		Uses('common:mapping_table'),
 		Uses('common:iss2'),
-		Uses('caba:vci_cc_vcache_wrapper_dspin_coherence', 
+		Uses('caba:vci_cc_vcache_wrapper', 
                      iss_t = 'common:gdb_iss', 
                      gdb_iss_t = 'common:mips32el'),
-		Uses('caba:vci_mem_cache_dspin_coherence'),
+		Uses('caba:vci_mem_cache'),
 		Uses('caba:vci_simple_ram'),
         Uses('caba:vci_xicu'),
Index: branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/include/tsarv5_cluster_mmu.h
===================================================================
--- branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/include/tsarv5_cluster_mmu.h	(revision 345)
+++ branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/include/tsarv5_cluster_mmu.h	(revision 351)
@@ -31,6 +31,6 @@
 #include "vci_framebuffer.h"
 #include "vci_multi_dma.h"
-#include "vci_mem_cache_dspin_coherence.h"
-#include "vci_cc_vcache_wrapper_dspin_coherence.h"
+#include "vci_mem_cache.h"
+#include "vci_cc_vcache_wrapper.h"
 
 namespace soclib { namespace caba	{
Index: branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/src/tsarv5_cluster_mmu.cpp
===================================================================
--- branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/src/tsarv5_cluster_mmu.cpp	(revision 345)
+++ branches/v5/platforms/tsarv5_generic_mmu/tsarv5_cluster_mmu/caba/source/src/tsarv5_cluster_mmu.cpp	(revision 351)
@@ -126,5 +126,6 @@
         swip << "wi_proc_" << x_id << "_" << y_id;
         wi_proc[p] = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>(
-                     swip.str().c_str() );
+                     swip.str().c_str(),
+                     x_width + y_width );
     }
 
@@ -152,5 +153,6 @@
     swtm << "wt_memc_" << x_id << "_" << y_id;
     wt_memc = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtm.str().c_str() );
+                     swtm.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -169,5 +171,6 @@
     swtx << "wt_xram_" << x_id << "_" << y_id;
     wt_xram = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtx.str().c_str() );
+                     swtx.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -188,5 +191,6 @@
     swtu << "wt_xicu_" << x_id << "_" << y_id;
     wt_xicu = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtu.str().c_str() );
+                     swtu.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -206,10 +210,12 @@
     swta << "wt_mdma_" << x_id << "_" << y_id;
     wt_mdma = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>(
-                     swtu.str().c_str() );
+                     swtu.str().c_str(),
+                     x_width + y_width );
 
     std::ostringstream swia;
     swia << "wi_mdma_" << x_id << "_" << y_id;
     wi_mdma = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>(
-                     swtu.str().c_str() );
+                     swtu.str().c_str(),
+                     x_width + y_width );
 
     /////////////////////////////////////////////////////////////////////////////
@@ -319,5 +325,6 @@
                         loader);
 
-        wt_brom = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_brom");
+        wt_brom = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_brom",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -330,5 +337,6 @@
                         xfb, yfb); 
 
-        wt_fbuf = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_fbuf");
+        wt_fbuf = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_fbuf",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -344,6 +352,8 @@
                         64);            // burst size
 
-        wt_bdev = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_bdev");
-        wi_bdev = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>("wi_bdev");
+        wt_bdev = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_bdev",
+                     x_width + y_width );
+        wi_bdev = new VciDspinInitiatorWrapper<vci_param,cmd_width,rsp_width>("wi_bdev",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -360,5 +370,6 @@
                         0 );           // mac_2 address
 
-        wt_mnic = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mnic");
+        wt_mnic = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mnic",
+                     x_width + y_width );
 
         /////////////////////////////////////////////
@@ -378,5 +389,6 @@
                         vect_names);
 
-        wt_mtty = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mtty");
+        wt_mtty = new VciDspinTargetWrapper<vci_param,cmd_width,rsp_width>("wt_mtty",
+                     x_width + y_width );
 
     }
